Package ru.bgcrm.plugin.bgbilling.transfer

# Class UserAccount

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.model.base.IdTitleComment
ru.bgcrm.model.user.User
ru.bgcrm.plugin.bgbilling.transfer.UserAccount

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<User>`, `Comment`, `Id<Integer>`, `IdTitle<Integer>`, `Title`, `UserAccount`

public class UserAccount extends User
Аккаунт, используемый в TransferData

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.model.user.User

  `OBJECT_TYPE, STATUS_ACTIVE, STATUS_DISABLED, STATUS_EXTERNAL, USER_CUSTOMER, USER_CUSTOMER_ID, USER_SYSTEM, USER_SYSTEM_ID`

  ### Fields inherited from class org.bgerp.model.base.IdTitleComment

  `comment`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final UserAccount`
  `getUserAccount(String billingId, User user)`

  ### Methods inherited from class ru.bgcrm.model.user.User

  `checkPerm, clone, compareTo, getConfig, getConfigMap, getDescription, getGroupIds, getLogin, getPassword, getPerm, getPermsetIds, getPers, getPersonalization, getPersonalizationMap, getQueueIds, getStatus, getUserListWithSameGroups, isAdmin, setConfig, setDescription, setGroupIds, setLogin, setPassword, setPermsetIds, setPersonalization, setQueueIds, setStatus`

  ### Methods inherited from class org.bgerp.model.base.IdTitleComment

  `getComment, setComment`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Method Details

  - ### getUserAccount

    public static final UserAccount getUserAccount(String billingId, User user)